Bug 16663 - RC-1 sndconfig left system unbootable
Summary: RC-1 sndconfig left system unbootable
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: sndconfig   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-08-21 05:03 UTC by Joshua Buysse
Modified: 2014-03-17 02:15 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-07 00:27:41 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Joshua Buysse 2000-08-21 05:03:47 UTC
I just had a system become unbootable -- will post hardware details when I 
get it bootable again.

Basically, sndconfig modified modules.conf (conf.modules?) before testing 
the sound module it detected.  It loaded the module, which hard-locked the 
box.  On reboot, it fsck'd and proceeded to load the sound module in an 
early initscript, then locked again.  

The box is a VIA AC-97 686 box (k6-2, FIC VA-503A mobo).  I'll post 
details from lspci when I get the box bootable.

Comment 1 Joshua Buysse 2000-08-21 05:31:41 UTC
OK, box is booting again.  Had to do a linux init=/bin/bash since initscripts 
was loading the sound module for single-user. 

sndconfig and lspci report VIA VT82C686 (Apollo Super AC97 Audio)

Comment 2 Bill Nottingham 2000-08-21 14:14:46 UTC
Can  you post the output of 'lspci -v' for
that card (specifically, subvendor/subdevice ids?)

Comment 3 Joshua Buysse 2000-08-21 15:29:30 UTC
Here we go:

00:00.0 Host bridge: VIA Technologies, Inc. VT82C597 [Apollo VP3] (rev 04)
	Flags: bus master, medium devsel, latency 16
	Memory at d8000000 (32-bit, prefetchable)
	Capabilities: [a0] AGP version 1.0

00:01.0 PCI bridge: VIA Technologies, Inc. VT82C598 [Apollo MVP3 AGP] (prog-if 
00 [Normal decode])
	Flags: bus master, 66Mhz, medium devsel, latency 0
	Bus: primary=00, secondary=01, subordinate=01, sec-latency=0
	I/O behind bridge: 00009000-00009fff
	Memory behind bridge: dc000000-dfffffff
	Prefetchable memory behind bridge: e0000000-e1ffffff

00:07.0 ISA bridge: VIA Technologies, Inc. VT82C686 [Apollo Super] (rev 1b)
	Subsystem: VIA Technologies, Inc. VT82C686/A PCI to ISA Bridge
	Flags: bus master, stepping, medium devsel, latency 0

00:07.1 IDE interface: VIA Technologies, Inc. VT82C586 IDE [Apollo] (rev 06) 
(prog-if 8a [Master SecP PriP])
	Flags: bus master, medium devsel, latency 32
	I/O ports at a000
	Capabilities: [c0] Power Management version 2

00:07.2 USB Controller: VIA Technologies, Inc. VT82C586B USB (rev 0e) (prog-if 
00 [UHCI])
	Subsystem: Unknown device 0925:1234
	Flags: bus master, medium devsel, latency 32, IRQ 10
	I/O ports at a400
	Capabilities: [80] Power Management version 2

00:07.3 USB Controller: VIA Technologies, Inc. VT82C586B USB (rev 0e) (prog-if 
00 [UHCI])
	Subsystem: Unknown device 0925:1234
	Flags: bus master, medium devsel, latency 32, IRQ 10
	I/O ports at a800
	Capabilities: [80] Power Management version 2

00:07.4 Host bridge: VIA Technologies, Inc. VT82C686 [Apollo Super ACPI] (rev 
20)
	Flags: medium devsel

00:07.5 Multimedia audio controller: VIA Technologies, Inc. VT82C686 [Apollo 
Super AC97/Audio] (rev 21)
	Flags: medium devsel, IRQ 5
	I/O ports at ac00
	I/O ports at b000
	I/O ports at b400
	Capabilities: [c0] Power Management version 2

00:09.0 SCSI storage controller: Distributed Processing Technology 
SmartCache/Raid I-IV Controller (rev 01)
	Flags: bus master, medium devsel, latency 32, IRQ 9
	BIST result: 00
	I/O ports at 0500
	Expansion ROM at e2000000 [disabled]

00:0a.0 Ethernet controller: Intel Corporation 82557 [Ethernet Pro 100] (rev 08)
	Subsystem: Intel Corporation EtherExpress PRO/100+ Management Adapter
	Flags: bus master, medium devsel, latency 32, IRQ 5
	Memory at e4100000 (32-bit, non-prefetchable)
	I/O ports at c000
	Memory at e4000000 (32-bit, non-prefetchable)
	Expansion ROM at e3000000 [disabled]
	Capabilities: [dc] Power Management version 2

01:00.0 VGA compatible controller: 3Dfx Interactive, Inc. Voodoo 3 (rev 01) 
(prog-if 00 [VGA])
	Subsystem: 3Dfx Interactive, Inc. Voodoo3 AGP
	Flags: 66Mhz, fast devsel, IRQ 11
	Memory at dc000000 (32-bit, non-prefetchable)
	Memory at e0000000 (32-bit, prefetchable)
	I/O ports at 9000
	Capabilities: [54] AGP version 1.0
	Capabilities: [60] Power Management version 1





Note You need to log in before you can comment on or make changes to this bug.